apiVersion: v1
kind: Pod
metadata:
  name: sometask
spec:
  restartPolicy: Never
  containers:
  - name: sometask
    image: bash
    command: ["bash"]
    args: ["-c",  "if [ $(( $RANDOM % 2)) == 1 ]; then exit 1; fi; echo working ...; sleep 10; echo done;"]